Bug 70371 - installer unaware of Cirrus Logic GD543x Options
installer unaware of Cirrus Logic GD543x Options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 17:01 EDT by John Reiser
Modified: 2007-03-26 23:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 10:49:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (install, XF86Config, lspci -vn) (20.13 KB, application/octet-stream)
2002-10-28 22:11 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2002-07-31 17:01:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
During X11 configuration, the installer is unaware of important Options for
Cirrus Logic GD543x cards [possibly also GD544x cards]: "nobitblt" and
"noaccel".  One of these options often is needed for cheap video cards that use
these chips.  Without the required option, then the drawing under X11 is bad and
the screen is at best only barely usable.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Fresh install 2nd limbo beta, Personal Workstation option.
2. Video card is generic (Taiwan "Video Excel" brand) Cirrus Logic GD543x
(Alpine) with 1MB RAM, no DDC support.
3. At X11 configuration, override generic monitor by choosing Sony Multiscan
15sf from list.
	

Actual Results:  In /etc/X11/XF86Config, the Device section has
-----
Section "Device"
        # no known options
        Identifier   "Cirrus Logic GD543x"
        Driver       "cirrus"
        VendorName   "Cirrus Logic GD543x"
        BoardName     "Cirrus Logic GD543x"

        #BusID
EndSection
-----
which is incorrect.

There are two important options: "nobitblt" and "noaccel" which can be found in
the XFree86 3.3.6 documents; these options still work in XFree86 4.y.

Expected Results:  The Device section should contain commented-out lines
-----
        #Option "nobitblt"  # can cure some drawing problems on cheap cards
        #Option "noaccel"  # can cure more drawing problmes on cheap cards
-----
as information to the user.

Additional info:

My card needs Option "noaccel".

It seems that this might be correlated to the following lines from XFree86.0.log:
-----
(EE) CIRRUS(0): No valid MMIO address in PCI config space
  . . .
(EE) CIRRUS(0): I2C initialization failed
-----
Comment 1 Michael Fulbright 2002-08-02 12:58:05 EDT
Is this a recently manufactured card? I'm not familiar with it.
Comment 2 John Reiser 2002-08-02 14:05:11 EDT
No, my best guess is that it is a 1995 card (7 years old).  The Taiwanese brand
name is "Video Excel".  Then it was a $30 card that did 1024x768 at 72Hz with
decent stable video, a moderately good chipset (Cirrus Logic), and also offered
16-, and 24-bit pixels (at lower resolutions, of course.)  It ran OS/2 for
several years.  Now it can be seen that the design cheated by not providing a
good enough hardware interface to do graphics acceleration; but for SVGA with
good video, the card will work for a long time.
Comment 3 Michael Fulbright 2002-08-05 12:10:52 EDT
Ah ok I remember it now :)

I'll see if I'll have time to look into this for this release.
Comment 4 Jeremy Katz 2002-08-19 15:02:17 EDT
Mike -- can you look at updating the Cards database correctly?
Comment 5 John Reiser 2002-08-19 15:53:12 EDT
The exact wording produced by XConfigurator from XFree86 3.3.6 is
-----
# Use Option "no_bitblt" if you have graphics problems.  If that fails
# try Option "noaccel".
# Refer to /usr/X11R6/lib/doc/README.cirrus.
-----
Comment 6 cahier 2002-09-03 10:16:35 EDT
 i've a similar problem with RH7.3: gd5436. The window of my screen are black 
(14 PC's) and i don't know what can i do.
Comment 7 Mike A. Harris 2002-10-26 01:14:27 EDT
To the original bug submitter, does this problem still occur in the
final release of RHL 8.0?

Either way, I require you to attach your XFree86 config file, log file,
and the output of "lspci -vn" so that I can have the hardware databases
updated with the specific card and options.

I'd like to also do some minor troubleshooting with you briefly to
try to minimize disabling things and maximize performance for you.
Comment 8 John Reiser 2002-10-26 10:37:02 EDT
The box was disassembled for parts on Oct.13, and the successor box fried its
Cyrix 6x86 when the chip fan failed.  For the moment, I have no working box for
hardware tinkering, including mounting the IDE disk to retrieve files.

If you wish, I will give you the card (Priority Mail, should arrive Oct.31) 
Please ask if you want it.


To cahier@iut-nantes: boot "linux single" (or boot in rescue mode), comment out
the last line in /etc/inittab by adding a '#' at the beginning:
     # x:5:respawn:/etc/X11/prefdm -nodaemon
then edit /etc/X11/XF86Config as needed.  Restore graphical login by
uncommenting the line.
Comment 9 John Reiser 2002-10-28 22:08:25 EST
The problem is gone.  I found a new box for tinkering, and performed two full
Personal Desktop installations of RedHat 8.0 (psyche): the first with a
different card GD5446 (1MB video RAM), and the second with the original card
GD5434-8 (2MB video RAM).  Both worked OK, even with graphical firstboot. 
Congratulations.

It turns out that the 5434 card was made by "STB", and the 5446 card by "Video
Excel".  The installer detected only 1MB video RAM on the 5434 (there are four
256Kx16 chips, which is 2MB), and suggested 800x600x16 resolution (requires only
1MB), which I accepted, and which works.  According to XFree86, the 5434 card
has a max pixel clock of 50MHz, which apparently precludes 1024x768x16.

The installer correctly detected only 1MB video RAM on the 5446 (two 256Kx16
chips, plus two empty sockets), suggested 800x600x16, but both the "Test
resolution" during install, and the actual resolution at first boot, was
640x680x16.  The 5446 supposedly has a max pixel clock of 85MHz, but with only
1MB video RAM cannot do 1024x768.  I would transfer chips from the 5434 card to
the 5446, but one is EDO and the other is not.  The 5446 also shows power supply
regulation problems (fades during heavy disk/CD-ROM seeks).  I'm now going to
try an ATI Xpert98 8MB PCI.

I will upload a .tgz with the requested files:
inst-1/
inst-1/install.log
inst-1/XF86Config
inst-1/XFree86.0.log
inst-1/lspci-vn.out
inst-2/
inst-2/install.log
inst-2/XF86Config
inst-2/XFree86.0.log
inst-2/lspci-vn.out
Comment 10 John Reiser 2002-10-28 22:11:44 EST
Created attachment 82504 [details]
log files (install, XF86Config, lspci -vn)
Comment 11 Mike A. Harris 2003-01-24 16:23:13 EST
Defering investigation of issues reported above for future, and reassigning
to XFree86 component.
Comment 12 Mike A. Harris 2005-04-20 10:49:45 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.